package com.seer.teach.pay.app.wallet.convert;

import com.seer.teach.pay.app.wallet.resp.CoinConfigResp;
import com.seer.teach.pay.entity.CoinConfigEntity;
import com.seer.teach.pay.app.wallet.req.CoinConfigReq;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

import java.util.List;

@Mapper
public interface CoinConfigConvert {

    CoinConfigConvert INSTANCE = Mappers.getMapper(CoinConfigConvert.class);

    CoinConfigResp convertOne(CoinConfigEntity coinConfigEntity);

    List<CoinConfigResp> list(List<CoinConfigEntity> coinConfigEntities);

    CoinConfigEntity req2entity(CoinConfigReq coinConfigReq);
}
